Anyone else still suffering from the RADS error?

Anyone else still suffering from the RADS error that started occuring after patch 6.10? I still suffer from it and cannot start the Launcher, and the RIOT Support abbandonned me, claiming they have fixed the issue...
Share
Report as:
Offensive Spam Harassment Incorrect Board
Cancel